Update current account
curl --request PATCH \
--url https://api.ofauth.com/v3/access/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"name": "<string>",
"about": "<string>",
"isMarkdownDisabledForAbout": true,
"website": "<string>",
"wishlist": "<string>",
"location": "<string>",
"showPostsInFeed": true,
"showSubscribersCount": true,
"showMediaCount": true,
"isReferrerAllowed": true,
"tipsEnabled": true,
"tipsTextEnabled": true,
"tipsMin": 1,
"tipsMax": 1
}
'import requests
url = "https://api.ofauth.com/v3/access/profile"
payload = {
"name": "<string>",
"about": "<string>",
"isMarkdownDisabledForAbout": True,
"website": "<string>",
"wishlist": "<string>",
"location": "<string>",
"showPostsInFeed": True,
"showSubscribersCount": True,
"showMediaCount": True,
"isReferrerAllowed": True,
"tipsEnabled": True,
"tipsTextEnabled": True,
"tipsMin": 1,
"tipsMax": 1
}
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
about: '<string>',
isMarkdownDisabledForAbout: true,
website: '<string>',
wishlist: '<string>',
location: '<string>',
showPostsInFeed: true,
showSubscribersCount: true,
showMediaCount: true,
isReferrerAllowed: true,
tipsEnabled: true,
tipsTextEnabled: true,
tipsMin: 1,
tipsMax: 1
})
};
fetch('https://api.ofauth.com/v3/access/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'about' => '<string>',
'isMarkdownDisabledForAbout' => true,
'website' => '<string>',
'wishlist' => '<string>',
'location' => '<string>',
'showPostsInFeed' => true,
'showSubscribersCount' => true,
'showMediaCount' => true,
'isReferrerAllowed' => true,
'tipsEnabled' => true,
'tipsTextEnabled' => true,
'tipsMin' => 1,
'tipsMax' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/profile"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"about\": \"<string>\",\n \"isMarkdownDisabledForAbout\": true,\n \"website\": \"<string>\",\n \"wishlist\": \"<string>\",\n \"location\": \"<string>\",\n \"showPostsInFeed\": true,\n \"showSubscribersCount\": true,\n \"showMediaCount\": true,\n \"isReferrerAllowed\": true,\n \"tipsEnabled\": true,\n \"tipsTextEnabled\": true,\n \"tipsMin\": 1,\n \"tipsMax\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.ofauth.com/v3/access/profile")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"about\": \"<string>\",\n \"isMarkdownDisabledForAbout\": true,\n \"website\": \"<string>\",\n \"wishlist\": \"<string>\",\n \"location\": \"<string>\",\n \"showPostsInFeed\": true,\n \"showSubscribersCount\": true,\n \"showMediaCount\": true,\n \"isReferrerAllowed\": true,\n \"tipsEnabled\": true,\n \"tipsTextEnabled\": true,\n \"tipsMin\": 1,\n \"tipsMax\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"about\": \"<string>\",\n \"isMarkdownDisabledForAbout\": true,\n \"website\": \"<string>\",\n \"wishlist\": \"<string>\",\n \"location\": \"<string>\",\n \"showPostsInFeed\": true,\n \"showSubscribersCount\": true,\n \"showMediaCount\": true,\n \"isReferrerAllowed\": true,\n \"tipsEnabled\": true,\n \"tipsTextEnabled\": true,\n \"tipsMin\": 1,\n \"tipsMax\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true
}Profile
Update current account
Update multiple supported profile fields on the linked account.
Required scope: profile:write
PATCH
/
v3
/
access
/
profile
Update current account
curl --request PATCH \
--url https://api.ofauth.com/v3/access/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"name": "<string>",
"about": "<string>",
"isMarkdownDisabledForAbout": true,
"website": "<string>",
"wishlist": "<string>",
"location": "<string>",
"showPostsInFeed": true,
"showSubscribersCount": true,
"showMediaCount": true,
"isReferrerAllowed": true,
"tipsEnabled": true,
"tipsTextEnabled": true,
"tipsMin": 1,
"tipsMax": 1
}
'import requests
url = "https://api.ofauth.com/v3/access/profile"
payload = {
"name": "<string>",
"about": "<string>",
"isMarkdownDisabledForAbout": True,
"website": "<string>",
"wishlist": "<string>",
"location": "<string>",
"showPostsInFeed": True,
"showSubscribersCount": True,
"showMediaCount": True,
"isReferrerAllowed": True,
"tipsEnabled": True,
"tipsTextEnabled": True,
"tipsMin": 1,
"tipsMax": 1
}
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
about: '<string>',
isMarkdownDisabledForAbout: true,
website: '<string>',
wishlist: '<string>',
location: '<string>',
showPostsInFeed: true,
showSubscribersCount: true,
showMediaCount: true,
isReferrerAllowed: true,
tipsEnabled: true,
tipsTextEnabled: true,
tipsMin: 1,
tipsMax: 1
})
};
fetch('https://api.ofauth.com/v3/access/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'about' => '<string>',
'isMarkdownDisabledForAbout' => true,
'website' => '<string>',
'wishlist' => '<string>',
'location' => '<string>',
'showPostsInFeed' => true,
'showSubscribersCount' => true,
'showMediaCount' => true,
'isReferrerAllowed' => true,
'tipsEnabled' => true,
'tipsTextEnabled' => true,
'tipsMin' => 1,
'tipsMax' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/profile"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"about\": \"<string>\",\n \"isMarkdownDisabledForAbout\": true,\n \"website\": \"<string>\",\n \"wishlist\": \"<string>\",\n \"location\": \"<string>\",\n \"showPostsInFeed\": true,\n \"showSubscribersCount\": true,\n \"showMediaCount\": true,\n \"isReferrerAllowed\": true,\n \"tipsEnabled\": true,\n \"tipsTextEnabled\": true,\n \"tipsMin\": 1,\n \"tipsMax\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.ofauth.com/v3/access/profile")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"about\": \"<string>\",\n \"isMarkdownDisabledForAbout\": true,\n \"website\": \"<string>\",\n \"wishlist\": \"<string>\",\n \"location\": \"<string>\",\n \"showPostsInFeed\": true,\n \"showSubscribersCount\": true,\n \"showMediaCount\": true,\n \"isReferrerAllowed\": true,\n \"tipsEnabled\": true,\n \"tipsTextEnabled\": true,\n \"tipsMin\": 1,\n \"tipsMax\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"about\": \"<string>\",\n \"isMarkdownDisabledForAbout\": true,\n \"website\": \"<string>\",\n \"wishlist\": \"<string>\",\n \"location\": \"<string>\",\n \"showPostsInFeed\": true,\n \"showSubscribersCount\": true,\n \"showMediaCount\": true,\n \"isReferrerAllowed\": true,\n \"tipsEnabled\": true,\n \"tipsTextEnabled\": true,\n \"tipsMin\": 1,\n \"tipsMax\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true
}Authorizations
Headers
Body
application/json
Was this page helpful?